/**
 * http://codepen.io/filippoq/pen/QwogWz
 */
/**
 * Created by cord on 11/01/2017.
 */
(function ($) {

    function iframeModalOpen() {

        // impostiamo gli attributi da aggiungere all'iframe es: data-src andrà ad impostare l'url dell'iframe
        // we set the attributes to be added iframe eg: data-src will setup the url iframe
        $('.modalButton').on('click', function (e) {
            var src = $(this).attr('data-src');
            var width = $(this).attr('data-width') || 640; // larghezza dell'iframe se non impostato usa 640 // iframe width if not set uses 640
            var height = $(this).attr('data-height') || 360; // altezza dell'iframe se non impostato usa 360 // iframe height if not set uses 360

            var allowfullscreen = $(this).attr('data-video-fullscreen'); // impostiamo sul bottone l'attributo allowfullscreen se è un video per permettere di passare alla modalità tutto schermo
            // we set the button if the allowfullscreen attribute is a video to allow you to switch to full screen mode

            // stampiamo i nostri dati nell'iframe
            // We print our iframe data
            $("#myModal iframe").attr({
                'src': src,
                'height': height,
                'width': width,
                'allowfullscreen': ''
            });
        });

        // se si chiude la modale resettiamo i dati dell'iframe per impedire ad un video di continuare a riprodursi anche quando la modale è chiusa
        // if you close the modal iframe we reset the data to prevent a video to continue to reproduce even when the modal is closed
        $('#myModal').on('hidden.bs.modal', function () {
            $(this).find('iframe').html("");
            $(this).find('iframe').attr("src", "");
        });
    }

    $(document).ready(function () {
        iframeModalOpen();
    });

})(jQuery);